/* ==========================================================================
   WooCommerce MyAccount page styles - begin
   ========================================================================== */

.mkdf-woocommerce-page.woocommerce-account {
    
    .woocommerce-MyAccount-navigation,
    .woocommerce-MyAccount-content {
        position: relative;
        display: table-cell;
        vertical-align: top;
        box-sizing: border-box;
    }
    
    .woocommerce-MyAccount-navigation {
        width: 30%;
        padding: 0 15px 0 0;
        
        ul {
            padding: 0 15px 0 0;
            margin: 0;
            list-style: none;
            
            li {
                margin: 0;
                padding: 0;
                
                &:not(:last-child) {
                    margin: 0 0 18px;
                }
            }
        }
    }
    
    .woocommerce-MyAccount-content {
        width: 70%;
        padding: 0 0 0 45px;
        border-left: 1px solid $default-border-color;
    }
    
    .woocommerce {
        margin: 0 0 92px;
        display: table;
        
        form.login {
            margin: 0 0 34px;
            
            p {
                margin: 0;
                
                &.mkdf-login-form-text {
                    margin: 0 0 7px;
                }
            }
            
            input[type='checkbox'] {
                position: relative;
                display: inline-block;
                vertical-align: middle;
                top: -1px;
                margin: 0 3px 0 5px;
            }
            
            .lost_password {
                display: block;
                margin: 15px 0 0;
            }
        }
        
        form.edit-account {
            margin: 0 0 15px;
            
            p {
                margin: 0;
            }
            
            label {
                display: block;
                margin: 0 0 5px;
            }
            
            fieldset {
                
                > legend {
                    display: block;
                    color: $default-heading-color;
                    margin: 0 0 10px;
                }
            }
        }
        
        > p {
            display: block;
            margin: 0 0 30px;
        }
        
        > h2,
        > header h2 {
            display: block;
            margin: 16px 0 25px;
        }
        
        table.shop_table {
            padding: 0;
            margin: 0 0 35px;
            
            tr {
                border: 0;
                border-bottom: 1px solid $default-border-color;
            }
            
            td, th {
                padding: 14px 0;
                text-align: left;
                vertical-align: middle;
            }
            
            th {
                border: 0;
            }
            
            td {
                
                &.order-actions {
                    text-align: right;
                }
            }
            
            .variation {
                
                > * {
                    display: inline-block;
                    vertical-align: middle;
                    padding: 0;
                    margin: 0;
                }
                
                p {
                    margin: 0;
                }
            }
        }
        
        .col2-set.addresses {
            @include mkdfRelativeHolderLayout();
            clear: both;
            margin: 0 0 15px;
            
            .col-1,
            .col-2 {
                position: relative;
                display: inline-block;
                width: 49%;
                margin-right: 1%;
                float: left;
                vertical-align: middle;
            }
            
            .col-2 {
                margin-left: 1%;
                margin-right: 0;
            }
            
            .title {
                margin: 4px 0 25px;
            }
            
            h3 {
                margin: 0;
            }
            
            address {
                font-style: normal;
            }
        }
    }
    
    .vc_row {
        
        .woocommerce {
            
            > h2 {
                font-size: 30px;
                line-height: 40px;
                margin: 0 0 25px;
            }
            
            form.login {
                margin: 0;
                
                p {
                    @include mkdfRelativeHolderLayout();
                    
                    label {
                        
                        &:not(.inline) {
                            display: block;
                            margin: 14px 0;
                            color: $default-heading-color;
                            font-size: 18px;
                            line-height: 38px;
                        }
                        
                        &.inline {
                            position: relative;
                            display: inline-block;
                            vertical-align: middle;
                            margin: 23px 0 0;
                        }
                    }
                    
                    input.button {
                        margin: 23px 0 0;
                    }
                }
            }
        }
    }
}

.mkdf-woocommerce-page.woocommerce-account.woocommerce-edit-address {
    
    .woocommerce {
        
        > form {
            margin: 0 0 15px;
            
            > *:first-child {
                margin: 0 0 25px;
            }
            
            p {
                margin: 0;
            }
            
            label {
                display: block;
                margin: 0 0 5px;
            }
        }
    }
}
/* ==========================================================================
   WooCommerce MyAccount page styles - end
   ========================================================================== */